"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
exports.makeAnchorList = (props) => {
    const items = props.map(anchor => (React.createElement("li", { key: anchor.text },
        React.createElement("a", { href: anchor.href }, anchor.text))));
    return React.createElement("ul", { id: "menu" }, items);
};
exports.makeNodeComponent = (props, pos) => {
    return (React.createElement("text", { transform: `translate(${pos.x},${pos.y})`, textAnchor: "end" },
        React.createElement("a", { href: `?start=${props.item.name}` }, props.item.name)));
};
//# sourceMappingURL=components.js.map