import { TreeData } from "./types";
export interface Package {
    scripts: {
        [key: string]: string;
    };
}
export interface SplitScript {
    key: string;
    option: {
        run_p: boolean;
    };
}
export declare const makeChildChain: (parentResult: TreeData, scripts: SplitScript[], pkg: Package) => void;
export declare const makeChain: (parentResult: TreeData, pkg: Package) => void;
