import * as React from "react";
import { AnchorProps } from "./components";
import { RootTree } from "./types";
export interface AppProps {
    tree: RootTree;
    size: {
        width: number;
        height: number;
    };
    anchors: AnchorProps[];
}
export declare class App extends React.Component<AppProps, {}> {
    render(): JSX.Element;
    private curves;
    private nodes;
}
export declare const makeProps: (data: any, size: {
    width: number;
    height: number;
}, anchors: AnchorProps[]) => AppProps;
